E-MailRelay

Public Member Functions | List of all members
G::Pam::Error Class Reference

An exception class for G::Pam. More...

`#include <gpam.h>`

Inheritance diagram for G::Pam::Error:

## Public Member Functions
| Error (const std::string &op, int pam_error)
| Error (const std::string &op, int pam_error, const char *)
Public Member Functions inherited from G::Exception
| Exception (const char *what)
| Constructor. More...
| Exception (const std::string &what)
| Constructor. More...
| Exception (const char *what, const std::string &more)
| Constructor. More...
| Exception (const std::string &what, const std::string &more)
| Constructor. More...
| Exception (const char *what, const std::string &more1, const std::string &more2)
| Constructor. More...
| Exception (const std::string &what, const std::string &more1, const std::string &more2)
| Constructor. More...
| Exception (const char *what, const std::string &more1, const std::string &more2, const std::string &more3)
| Constructor. More...
| Exception (const std::string &what, const std::string &more1, const std::string &more2, const std::string &more3)
| Constructor. More...

## Detailed Description

An exception class for G::Pam.

Definition at line 68 of file gpam.h.

## Constructor & Destructor Documentation

## ◆ Error() [1/2]

G::Pam::Error::Error | ( | const std::string & | op,
|  | int | pam_error
| ) |  |
| inline

Definition at line 163 of file gpam.h.

## ◆ Error() [2/2]

G::Pam::Error::Error | ( | const std::string & | op,
|  | int | pam_error,
|  | const char * | more
| ) |  |
| inline

Definition at line 169 of file gpam.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gpam.h